# -*- coding: utf-8 -*-


from PySide import QtCore, QtGui
from SimNDT.gui.constants import *

class Ui_linearScanSetupDialog(object):
    def setupUi(self, linearScanSetupDialog):
        scaleUI = SCALE_UI
        linearScanSetupDialog.setObjectName("linearScanSetupDialog")
        linearScanSetupDialog.resize(300*scaleUI, 500*scaleUI)
        linearScanSetupDialog.setMinimumSize(QtCore.QSize(300*scaleUI, 500*scaleUI))
        linearScanSetupDialog.setMaximumSize(QtCore.QSize(300*scaleUI, 500*scaleUI))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/linearScan.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        linearScanSetupDialog.setWindowIcon(icon)
        self.buttonBox = QtGui.QDialogButtonBox(linearScanSetupDialog)
        self.buttonBox.setGeometry(QtCore.QRect(50*scaleUI, 460*scaleUI, 230*scaleUI, 32*scaleUI))
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtGui.QDialogButtonBox.Cancel|QtGui.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.groupBox = QtGui.QGroupBox(linearScanSetupDialog)
        self.groupBox.setGeometry(QtCore.QRect(10*scaleUI, 10*scaleUI, 271*scaleUI, 80*scaleUI))
        self.groupBox.setObjectName("groupBox")
        self.transmissionRadioButton = QtGui.QRadioButton(self.groupBox)
        self.transmissionRadioButton.setGeometry(QtCore.QRect(20*scaleUI, 30*scaleUI, 161*scaleUI, 18*scaleUI))
        self.transmissionRadioButton.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.transmissionRadioButton.setObjectName("transmissionRadioButton")
        self.pulseEchoRadioButton = QtGui.QRadioButton(self.groupBox)
        self.pulseEchoRadioButton.setGeometry(QtCore.QRect(20*scaleUI, 50*scaleUI, 97*scaleUI, 18*scaleUI))
        self.pulseEchoRadioButton.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.pulseEchoRadioButton.setObjectName("pulseEchoRadioButton")
        self.groupBox_2 = QtGui.QGroupBox(linearScanSetupDialog)
        self.groupBox_2.setGeometry(QtCore.QRect(10*scaleUI, 100*scaleUI, 272*scaleUI, 350*scaleUI))
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout_2 = QtGui.QVBoxLayout(self.groupBox_2)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.formLayout = QtGui.QFormLayout()
        self.formLayout.setFieldGrowthPolicy(QtGui.QFormLayout.FieldsStayAtSizeHint)
        self.formLayout.setObjectName("formLayout")
        self.transducerLocationLabel = QtGui.QLabel(self.groupBox_2)
        self.transducerLocationLabel.setObjectName("transducerLocationLabel")
        self.formLayout.setWidget(0, QtGui.QFormLayout.LabelRole, self.transducerLocationLabel)
        self.locationComboBox = QtGui.QComboBox(self.groupBox_2)
        self.locationComboBox.setMinimumSize(QtCore.QSize(80*scaleUI, 0))
        self.locationComboBox.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.locationComboBox.setObjectName("locationComboBox")
        self.locationComboBox.addItem("")
        self.formLayout.setWidget(0, QtGui.QFormLayout.FieldRole, self.locationComboBox)
        self.pointSourceCheckBox = QtGui.QCheckBox(self.groupBox_2)
        self.pointSourceCheckBox.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.pointSourceCheckBox.setToolTip("")
        self.pointSourceCheckBox.setObjectName("pointSourceCheckBox")
        self.formLayout.setWidget(1, QtGui.QFormLayout.LabelRole, self.pointSourceCheckBox)
        self.transducerSizeLabel = QtGui.QLabel(self.groupBox_2)
        self.transducerSizeLabel.setObjectName("transducerSizeLabel")
        self.formLayout.setWidget(2, QtGui.QFormLayout.LabelRole, self.transducerSizeLabel)
        self.transducerSizeLineEdit = QtGui.QLineEdit(self.groupBox_2)
        self.transducerSizeLineEdit.setMinimumSize(QtCore.QSize(80*scaleUI, 0))
        self.transducerSizeLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.transducerSizeLineEdit.setObjectName("transducerSizeLineEdit")
        self.formLayout.setWidget(2, QtGui.QFormLayout.FieldRole, self.transducerSizeLineEdit)
        self.borderOffsetLabel = QtGui.QLabel(self.groupBox_2)
        self.borderOffsetLabel.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.borderOffsetLabel.setObjectName("borderOffsetLabel")
        self.formLayout.setWidget(3, QtGui.QFormLayout.LabelRole, self.borderOffsetLabel)
        self.borderOffsetLineEdit = QtGui.QLineEdit(self.groupBox_2)
        self.borderOffsetLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.borderOffsetLineEdit.setObjectName("borderOffsetLineEdit")
        self.formLayout.setWidget(3, QtGui.QFormLayout.FieldRole, self.borderOffsetLineEdit)
        self.verticalLayout_2.addLayout(self.formLayout)
        self.label = QtGui.QLabel(self.groupBox_2)
        self.label.setObjectName("label")
        self.verticalLayout_2.addWidget(self.label)
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_2 = QtGui.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Helvetica")
        font.setPointSize(10*scaleUI)
        self.label_2.setFont(font)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout.addWidget(self.label_2)
        self.label_3 = QtGui.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Helvetica")
        font.setPointSize(10*scaleUI)
        self.label_3.setFont(font)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout.addWidget(self.label_3)
        self.label_4 = QtGui.QLabel(self.groupBox_2)
        font = QtGui.QFont()
        font.setFamily("Helvetica")
        font.setPointSize(10*scaleUI)
        self.label_4.setFont(font)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout.addWidget(self.label_4)
        self.startOffsetLineEdit = QtGui.QLineEdit(self.groupBox_2)
        self.startOffsetLineEdit.setMaximumSize(QtCore.QSize(40*scaleUI, 16777215))
        font = QtGui.QFont()
        font.setFamily("Helvetica")
        font.setPointSize(11*scaleUI)
        self.startOffsetLineEdit.setFont(font)
        self.startOffsetLineEdit.setText("")
        self.startOffsetLineEdit.setObjectName("startOffsetLineEdit")
        self.horizontalLayout.addWidget(self.startOffsetLineEdit)
        self.stopOffsetLineEdit = QtGui.QLineEdit(self.groupBox_2)
        self.stopOffsetLineEdit.setMaximumSize(QtCore.QSize(40*scaleUI, 16777215))
        font = QtGui.QFont()
        font.setFamily("Helvetica")
        font.setPointSize(11*scaleUI)
        self.stopOffsetLineEdit.setFont(font)
        self.stopOffsetLineEdit.setObjectName("stopOffsetLineEdit")
        self.horizontalLayout.addWidget(self.stopOffsetLineEdit)
        self.stepOffsetLineEdit = QtGui.QLineEdit(self.groupBox_2)
        self.stepOffsetLineEdit.setMaximumSize(QtCore.QSize(40*scaleUI, 16777215))
        font = QtGui.QFont()
        font.setFamily("Helvetica")
        font.setPointSize(11*scaleUI)
        self.stepOffsetLineEdit.setFont(font)
        self.stepOffsetLineEdit.setObjectName("stepOffsetLineEdit")
        self.horizontalLayout.addWidget(self.stepOffsetLineEdit)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.previewPushButton = QtGui.QPushButton(self.groupBox_2)
        self.previewPushButton.setMinimumSize(QtCore.QSize(0, 41*scaleUI))
        self.previewPushButton.setMaximumSize(QtCore.QSize(1666666, 41*scaleUI))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/previewImage.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.previewPushButton.setIcon(icon1)
        self.previewPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.previewPushButton.setObjectName("previewPushButton")
        self.verticalLayout.addWidget(self.previewPushButton)
        self.advancedParametersSetupPushButton = QtGui.QPushButton(self.groupBox_2)
        self.advancedParametersSetupPushButton.setMinimumSize(QtCore.QSize(0, 41*scaleUI))
        self.advancedParametersSetupPushButton.setMaximumSize(QtCore.QSize(1666666, 41*scaleUI))
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/simModel.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.advancedParametersSetupPushButton.setIcon(icon2)
        self.advancedParametersSetupPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.advancedParametersSetupPushButton.setObjectName("advancedParametersSetupPushButton")
        self.verticalLayout.addWidget(self.advancedParametersSetupPushButton)
        self.signalSetupPushButton = QtGui.QPushButton(self.groupBox_2)
        self.signalSetupPushButton.setMinimumSize(QtCore.QSize(0, 41*scaleUI))
        self.signalSetupPushButton.setMaximumSize(QtCore.QSize(1666666, 41*scaleUI))
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(":/signal.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.signalSetupPushButton.setIcon(icon3)
        self.signalSetupPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.signalSetupPushButton.setCheckable(False)
        self.signalSetupPushButton.setDefault(False)
        self.signalSetupPushButton.setFlat(False)
        self.signalSetupPushButton.setObjectName("signalSetupPushButton")
        self.verticalLayout.addWidget(self.signalSetupPushButton)
        self.verticalLayout_2.addLayout(self.verticalLayout)

        self.retranslateUi(linearScanSetupDialog)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("accepted()"), linearScanSetupDialog.accept)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("rejected()"), linearScanSetupDialog.reject)
        QtCore.QMetaObject.connectSlotsByName(linearScanSetupDialog)

    def retranslateUi(self, linearScanSetupDialog):
        linearScanSetupDialog.setWindowTitle(QtGui.QApplication.translate("linearScanSetupDialog", "Linear Scan Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox.setTitle(QtGui.QApplication.translate("linearScanSetupDialog", "Inspection Method", None, QtGui.QApplication.UnicodeUTF8))
        self.transmissionRadioButton.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Through Transmission", None, QtGui.QApplication.UnicodeUTF8))
        self.pulseEchoRadioButton.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Pulse Echo", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox_2.setTitle(QtGui.QApplication.translate("linearScanSetupDialog", "Transducer Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.transducerLocationLabel.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Transducer Location", None, QtGui.QApplication.UnicodeUTF8))
        self.locationComboBox.setItemText(0, QtGui.QApplication.translate("linearScanSetupDialog", "Top", None, QtGui.QApplication.UnicodeUTF8))
        self.pointSourceCheckBox.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Point Source", None, QtGui.QApplication.UnicodeUTF8))
        self.transducerSizeLabel.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Transducer Size (mm)", None, QtGui.QApplication.UnicodeUTF8))
        self.borderOffsetLabel.setToolTip(QtGui.QApplication.translate("linearScanSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:14pt;\">Border Offset is measured taking into account the top border as origin. Only positive values are allowed that indicates offsets towards below.</span><br/><img src=\":/helperBorderOffset.png\"/></p><p><br/></p><p><br/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.borderOffsetLabel.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Border Offset (mm)", None, QtGui.QApplication.UnicodeUTF8))
        self.borderOffsetLineEdit.setToolTip(QtGui.QApplication.translate("linearScanSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:14pt;\">Border Offset is measured taking into account the top border as origin. Only positive values are allowed that indicates offsets towards below.</span><br/><img src=\":/helperBorderOffset.png\"/></p><p><br/></p><p><br/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.label.setToolTip(QtGui.QApplication.translate("linearScanSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:16pt;\">Offset Range is measured taking into account the origin as the center of the scenario.</span></p><p align=\"justify\"><span style=\" font-size:16pt;\">Negative values indicate offsets towards the left side while positive values indicate offsets towards the right side.</span></p><p><img src=\":/helpLinearScan.png\"/><br/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.label.setText(QtGui.QApplication.translate("linearScanSetupDialog", " Offset Range (mm):", None, QtGui.QApplication.UnicodeUTF8))
        self.label_2.setToolTip(QtGui.QApplication.translate("linearScanSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:16pt;\">Offset Range is measured taking into account the origin as the center of the scenario.</span></p><p align=\"justify\"><span style=\" font-size:16pt;\">Negative values indicate offsets towards the left side while positive values indicate offsets towards the right side.</span></p><p><br/></p><p><img src=\":/helpLinearScan.png\"/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.label_2.setText(QtGui.QApplication.translate("linearScanSetupDialog", "(Start,", None, QtGui.QApplication.UnicodeUTF8))
        self.label_3.setToolTip(QtGui.QApplication.translate("linearScanSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:16pt;\">Offset Range is measured taking into account the origin as the center of the scenario.</span></p><p align=\"justify\"><span style=\" font-size:16pt;\">Negative values indicate offsets towards the left side while positive values indicate offsets towards the right side.</span></p><p><br/></p><p><img src=\":/helpLinearScan.png\"/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.label_3.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Stop,", None, QtGui.QApplication.UnicodeUTF8))
        self.label_4.setToolTip(QtGui.QApplication.translate("linearScanSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:16pt;\">Offset Range is measured taking into account the origin as the center of the scenario.</span></p><p align=\"justify\"><span style=\" font-size:16pt;\">Negative values indicate offsets towards the left side while positive values indicate offsets towards the right side.</span></p><p><br/></p><p><img src=\":/helpLinearScan.png\"/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.label_4.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Step)", None, QtGui.QApplication.UnicodeUTF8))
        self.startOffsetLineEdit.setToolTip(QtGui.QApplication.translate("linearScanSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:16pt;\">Offset Range is measured taking into account the origin as the center of the scenario.</span></p><p align=\"justify\"><span style=\" font-size:16pt;\">Negative values indicate offsets towards the left side while positive values indicate offsets towards the right side.</span></p><p><br/></p><p><img src=\":/helpLinearScan.png\"/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.stopOffsetLineEdit.setToolTip(QtGui.QApplication.translate("linearScanSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:16pt;\">Offset Range is measured taking into account the origin as the center of the scenario.</span></p><p align=\"justify\"><span style=\" font-size:16pt;\">Negative values indicate offsets towards the left side while positive values indicate offsets towards the right side.</span></p><p><br/></p><p><img src=\":/helpLinearScan.png\"/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.stepOffsetLineEdit.setToolTip(QtGui.QApplication.translate("linearScanSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:16pt;\">Offset Range is measured taking into account the origin as the center of the scenario.</span></p><p align=\"justify\"><span style=\" font-size:16pt;\">Negative values indicate offsets towards the left side while positive values indicate offsets towards the right side.</span></p><p><br/></p><p><img src=\":/helpLinearScan.png\"/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.previewPushButton.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Preview Transducer Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.advancedParametersSetupPushButton.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Advanced Parameters Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.signalSetupPushButton.setText(QtGui.QApplication.translate("linearScanSetupDialog", "Signal Parameters", None, QtGui.QApplication.UnicodeUTF8))
